Page MenuHomePhabricator

Ask users to try the ContentTranslation beta feature when creating an article
Closed, ResolvedPublic1 Story Points

Description

Inform users that have not tried Content Translation yet, that they can enable the beta feature. There are several kinds of events that the information can be attached to in order to make it relevant (we should make sure that we don't inform about the existence of the feature more than once for each user, even if several mechanisms are supported).

This is one of the experiments defined as part of T90532: Ask users to try the beta feature (tracking) to invite users to try the beta feature when they are creating a new page.

Related Objects

Event Timeline

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Normal.
Pginer-WMF added subscribers: Amire80, Arrbee, santhosh and 3 others.
Pginer-WMF updated the task description. (Show Details)Feb 17 2015, 11:29 AM
Pginer-WMF set Security to None.
Pginer-WMF updated the task description. (Show Details)Feb 17 2015, 11:41 AM
Pginer-WMF updated the task description. (Show Details)Feb 17 2015, 11:50 AM
Pginer-WMF updated the task description. (Show Details)Feb 17 2015, 12:02 PM

Lots of good ideas, but I would suggest starting with very simple strategies to just raise visibility. Even a well-targeted banner with a clean (multilingual :-) landing page would go a long way. Why not start there and see what it does to your # of testers?

@Eloquence, I agree in starting simple, but I would prefer to ask the user in a relevant context (with some chances to be interested in translating).

I created a prototype for one of the ideas: tell the feature exists when the user is about to create a new page. Clicking on "Try Content translation" would enable the feature and direct the user to CX to start a new translation.

Here is a gif file with the animated globe:

Change 191322 had a related patch set uploaded (by Santhosh):
Campaign: Invite editors to try while creating a new article

https://gerrit.wikimedia.org/r/191322

Patch-For-Review

santhosh moved this task from Backlog to In Review on the LE-Sprint-82 board.Feb 23 2015, 7:05 AM
santhosh moved this task from In Review to Blocked on the LE-Sprint-82 board.
santhosh moved this task from Blocked to In Review on the LE-Sprint-82 board.Feb 24 2015, 4:47 AM
Pginer-WMF renamed this task from Ask users to try the beta feature to Ask users to try the beta feature when creating an article.
Pginer-WMF updated the task description. (Show Details)
Nikerabbit edited a custom field.Feb 24 2015, 2:22 PM
Nikerabbit added a subscriber: Nikerabbit.
Arrbee updated the task description. (Show Details)Feb 24 2015, 3:30 PM
Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.Feb 25 2015, 3:10 PM
Arrbee moved this task from Backlog to Candidates on the LE-Sprint-83 board.
Arrbee moved this task from Candidates to Backlog on the LE-Sprint-83 board.Feb 25 2015, 3:39 PM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-83 board.Feb 26 2015, 6:26 AM
santhosh moved this task from In Progress to In Review on the LE-Sprint-83 board.

Screenshot after implementation

Change 191322 merged by jenkins-bot:
Campaign: Invite editors to try CX while creating a new article

https://gerrit.wikimedia.org/r/191322

Change 194453 had a related patch set uploaded (by Santhosh):
Campaign: Set max width for the invitation dialog

https://gerrit.wikimedia.org/r/194453

Change 194453 merged by Nikerabbit:
Campaign: Set max width for the invitation dialog

https://gerrit.wikimedia.org/r/194453

Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 10 2015, 9:20 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-84 board.Mar 11 2015, 9:10 AM
Eloquence renamed this task from Ask users to try the beta feature when creating an article to Ask users to try the ContentTranslation beta feature when creating an article.Mar 19 2015, 4:02 PM
Eloquence added a project: Roadmap.
Eloquence moved this task from Unscheduled to March 16-20 on the Roadmap board.

Scheduled for Catalan Wikipedia today (3/19).

Eloquence moved this task from March 16-20 to March 23-27 on the Roadmap board.Mar 20 2015, 2:40 AM

Deployment was reverted, moved to next week in roadmap.

Restricted Application added a project: Notice. · View Herald TranscriptMar 25 2015, 3:35 AM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:54 PM

Postponing deployment further due to fix for T92232 not being merged and deployed yet.

Arrbee moved this task from Backlog to In Progress on the LE-Sprint-85 board.Apr 1 2015, 8:23 AM
Nikerabbit closed this task as Resolved.Apr 1 2015, 8:46 AM

This is a development task. I moved deployment related things to T90876. Sorry for the inconvenience.

Nikerabbit moved this task from In Progress to Done on the LE-Sprint-85 board.Apr 1 2015, 8:47 AM